import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var a = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (l, t, o, s) => {
  for (var e = s > 1 ? void 0 : s ? v(t, o) : t, r = l.length - 1, c; r >= 0; r--)
    (c = l[r]) && (e = (s ? c(t, o, e) : c(e)) || e);
  return s && e && a(t, o, e), e;
};
let i = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--policies", this.class = "c-pieIcon c-pieIcon--policies", this.name = "IconPolicies";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--policies"><path d="M9.75 2.094H2.094V14.78h11.812V6.25A4.156 4.156 0 0 0 9.75 2.094m2.756 3.5h-2.1v-2.1a2.83 2.83 0 0 1 2.1 2.1m-9.1 7.875V3.406h5.688v3.5h3.5v6.563zM8 7.78H5.375V6.47H8zM5.375 9.094h5.25v1.312h-5.25z"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], i.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = p([
  m("icon-policies")
], i);
export {
  i as IconPolicies
};
